--- antiword.h
+++ antiword.h
@@ -191,43 +191,11 @@
 #define FONT_SANS_SERIF_ITALIC		"Helvetica-Oblique"
 #define FONT_SANS_SERIF_BOLDITALIC	"Helvetica-BoldOblique"
 /* The name of the antiword directories and the font information file */
-#if defined(__dos)
-#define GLOBAL_ANTIWORD_DIR	"C:\\antiword"
-#define ANTIWORD_DIR		"antiword"
-#define FONTNAMES_FILE		"fontname.txt"
-#elif defined(__amigaos)
-#define GLOBAL_ANTIWORD_DIR	"SYS:.antiword"
-#define ANTIWORD_DIR		".antiword"
-#define FONTNAMES_FILE		"fontnames"
-#elif defined(N_PLAT_NLM)
-#define GLOBAL_ANTIWORD_DIR	"SYS:/antiword"
-#define ANTIWORD_DIR		"antiword"
-#define FONTNAMES_FILE		"fontname.txt"
-#elif defined(__vms)
-#define GLOBAL_ANTIWORD_DIR	"/usr/share/antiword"
-#define ANTIWORD_DIR		"antiword"
-#define FONTNAMES_FILE		"fontnames"
-#elif defined(__BEOS__)
-#define GLOBAL_ANTIWORD_DIR	"/boot/home/config/apps/antiword"
-#define ANTIWORD_DIR		"antiword"
-#define FONTNAMES_FILE		"fontnames"
-#elif defined(__CYGMING__)
-#define GLOBAL_ANTIWORD_DIR	"C:\\antiword"
-#define ANTIWORD_DIR		"antiword"
-#define FONTNAMES_FILE		"fontnames"
-#elif defined(__Plan9__)
-#define GLOBAL_ANTIWORD_DIR	"/sys/lib/antiword"
-#define ANTIWORD_DIR		"lib/antiword"
-#define FONTNAMES_FILE		"fontnames"
-#elif defined(__sun__)
-#define GLOBAL_ANTIWORD_DIR	"/usr/local/share/antiword"
+#ifndef GLOBAL_ANTIWORD_DIR
+#error "GLOBAL_ANTIWORD_DIR is unset!"
+#endif
 #define ANTIWORD_DIR		".antiword"
 #define FONTNAMES_FILE		"fontnames"
-#else	/* All others */
-#define GLOBAL_ANTIWORD_DIR	"/usr/share/antiword"
-#define ANTIWORD_DIR		".antiword"
-#define FONTNAMES_FILE		"fontnames"
-#endif /* __dos */
 /* The names of grouped mapping files */
 	/* ASCII */
 #define MAPPING_FILE_CP437	"cp437.txt"
--- Makefile
+++ Makefile
@@ -36,8 +36,8 @@
 LOCAL_INSTALL_DIR = $(HOME)/bin
 LOCAL_RESOURCES_DIR = $(HOME)/.antiword
 
-GLOBAL_INSTALL_DIR = /usr/bin
-GLOBAL_RESOURCES_DIR = /usr/share/antiword
+GLOBAL_INSTALL_DIR = $(PREFIX)/usr/bin
+GLOBAL_RESOURCES_DIR = $(PREFIX)/usr/share/antiword
 
 all:		$(PROGS)
 
@@ -83,7 +83,7 @@
 	@chmod 750 $@
 
 .c.o:
-	$(CC) $(CFLAGS) -c $<
+	$(CC) $(CFLAGS) '-DGLOBAL_ANTIWORD_DIR="$(GLOBAL_RESOURCES_DIR)"' -c $<
 
 main_u.o:	version.h
 postscript.o:	version.h
